Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteReportInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteReportInfo

extends java.rmi.Remote

Interface `RemoteReportInfo` contains information of a report in the server.

Method Summary
`boolean` | `canExportDHTMLResult()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`boolean` | `canExportDHTMLResult(int status)` Checks if the report can export to DHTML result(.rsd result), this type of result can re-run as DHTML.
`java.lang.String[]` | `getAllDataSource()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`java.lang.String[]` | `getAllDataSource(int status)` Gets all datasource names of a report used.
`java.util.Vector` | `getAvailableGroupFields()` Deprecated. You will not need to replace value options with available group fields when parameter is column.
          Example: You can comment line in getRptDescPage.jsp like
                                    //Vector grpCols = rptInfo.getAvailableGroupFields();

                            And you have to modify the java code in getRptDescPage.jsp from
     <%
                            if (desc.isColumn() && grpCols != null) {
     %>
                            <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
     <%               int sz1 = grpCols.size();
                            for (int i1 = 0; i1 < sz1; i1++) {
                                    String s = (String)grpCols.elementAt(i1);

                            to become
     <%
                            if (desc.isColumn() ) {
     %>
                            <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
     <%               Vector v = desc.getValueOptions(Locale.getDefault());
                            int sz1 = v.size();
                            for (int i1 = 0; i1 < sz1; i1++) {
                                    String s = (String)v.elementAt(i1);
`java.util.Vector` | `getAvailableLanguages()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`java.util.Vector` | `getAvailableLanguages(int status)` Gets all of the Languages that current report supported.
`java.util.Vector` | `getBooleanColumns()` Return boolean value fields of the report.
`RemoteReportSheetInfo` | `getCurrentReportSheet()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`RemoteReportSheetInfo` | `getCurrentReportSheet(int status)` Returns the current report sheet info.
`java.lang.String` | `getDefaultStyleGroupName()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`java.lang.String` | `getDefaultStyleGroupName(int status)` Gets default style group name.
`java.util.Vector` | `getOrderOfParams()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`java.util.Vector` | `getOrderOfParams(int status)` Return order of parameters of the report.
`java.lang.String` | `getParamEngineId()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`java.lang.String` | `getParamEngineId(int status)` Return the ID of engine which generates parameters.
`java.util.Vector` | `getParamInfos()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`java.util.Vector` | `getParamInfos(int status)` Return parameters of the report.
`java.util.Vector` | `getParamInfosByParam(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Return parameters of the report according to the name and the value of a certain parameter.
`java.util.Vector` | `getParamInfosByParam(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId, int status)` Return parameters of the report according to the name and the value of a certain parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String[] values, java.lang.String paramEngineId, int status)` Return parameters of the report according to the name and the value of a certain parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Return parameters of the report according to the name and the value of a certain parameter.
`java.util.Vector` | `getParamInfosByValue(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId, int status)` Return parameters of the report according to the name and the value of a certain parameter.
`java.util.Vector` | `getReportFontFiles()` Gets font file names of a report.
`java.util.Vector` | `getReportImageFiles()` Gets image file names of a report.
`java.util.Vector` | `getReportSheetInfos()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`java.util.Vector` | `getReportSheetInfos(int status)` Return information of report sheets of the report set.
`java.util.Vector` | `getReportSubreports()` Gets sub-report names of a report.
`java.util.Map` | `getSheetParamNames(int status)` Return all sheet and its parameters relation Map
`java.util.Vector` | `getStyleGroupInfos()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`java.util.Vector` | `getStyleGroupInfos(int status)` Return style group of the report.
`boolean` | `hasPageSecurity()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`boolean` | `hasPageSecurity(int status)` Checks if the report has page security.
`boolean` | `hasReportParam()` Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default
`boolean` | `hasReportParam(int status)` checks if reports in report set has parameters.
`boolean` | `isPortletPreferred()` If the report set contains only one report sheet, and the report sheet is portlet preferred.
`void` | `removeParamEngineById(java.lang.String paramEngineId)` Remove engine object according to the ID of engine which generates parameters.
`java.lang.String` | `validateParameter(int status, java.util.Properties prop)` Check parameters validation

Method Detail

### getReportSheetInfos

    java.util.Vector getReportSheetInfos()
                                         throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Return information of report sheets of the report set.

  Returns:
    information of report sheets of the report set. The Vector cantains RemoteReportSheetInfo objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteReportSheetInfo`

### getReportSheetInfos

    java.util.Vector getReportSheetInfos(int status)
                                         throws java.rmi.RemoteException

  Return information of report sheets of the report set.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    information of report sheets of the report set. The Vector cantains RemoteReportSheetInfo objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteReportSheetInfo`

### getParamInfos

    java.util.Vector getParamInfos()
                                   throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Return parameters of the report.

  Returns:
    parameters of the report. The Vector cantains RemoteParamInfo objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteParamInfo`

### getParamInfos

    java.util.Vector getParamInfos(int status)
                                   throws java.rmi.RemoteException

  Return parameters of the report.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    parameters of the report. The Vector cantains RemoteParamInfo objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteParamInfo`

### getParamInfosByParam

    java.util.Vector getParamInfosByParam(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId)
                                          throws java.rmi.RemoteException

  Return parameters of the report according to the name and the value of a certain parameter. If the value is null, it applies the default value of the certain parameter; if the name is null, the method will return all first level parameters. If there is no other parameter depends on the certain parameter, the method will return all first level parameters; otherwise will return all parameters depend on the certain parameter.

  Parameters:
    `param` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of engine which generates parameters.
  Returns:
    parameters of the report accordingly The Vector cantains RemoteParamInfo objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteParamInfo`

### getParamInfosByParam

    java.util.Vector getParamInfosByParam(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws java.rmi.RemoteException

  Return parameters of the report according to the name and the value of a certain parameter. If the value is null, it applies the default value of the certain parameter; if the name is null, the method will return all first level parameters. If there is no other parameter depends on the certain parameter, the method will return all first level parameters; otherwise will return all parameters depend on the certain parameter.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of engine which generates parameters.
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    parameters of the report accordingly The Vector cantains ParamInfo objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
    `RptServerException`
    `java.rmi.RemoteException`

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId)
                                          throws java.rmi.RemoteException

  Return parameters of the report according to the name and the value of a certain parameter. If the value is null, it applies the default value of the certain parameter; if the name is null, the method will return null; otherwise it will return all parameters depends on the certain parameter according to the value.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of engine which generates parameters.
  Returns:
    parameters of the report accordingly The Vector cantains RemoteParamInfo objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteParamInfo`

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String value,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws java.rmi.RemoteException

  Return parameters of the report according to the name and the value of a certain parameter. If the value is null, it applies the default value of the certain parameter; if the name is null, the method will return null; otherwise it will return all parameters depends on the certain parameter according to the value.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of engine which generates parameters.
    `status` -
  Returns:
    parameters of the report accordingly The Vector cantains RemoteParamInfo objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteParamInfo`

### getParamInfosByValue

    java.util.Vector getParamInfosByValue(java.lang.String paramName,
                                          java.lang.String[] values,
                                          java.lang.String paramEngineId,
                                          int status)
                                          throws java.rmi.RemoteException

  Return parameters of the report according to the name and the value of a certain parameter. If the values is null, it applies the default value of the certain parameter; if the name is null, the method will return null; otherwise it will return all parameters depends on the certain parameter according to the value.

  Parameters:
    `paramName` - the parameter name.
    `values` - the values of the parameter.
    `paramEngineId` - the ID of engine which generates parameters.
    `status` -
  Returns:
    parameters of the report accordingly The Vector cantains RemoteParamInfo objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `RemoteParamInfo`

### hasReportParam

    boolean hasReportParam()
                           throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Checks if the report has parameters.

  Returns:
    if the report has parameters.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### hasReportParam

    boolean hasReportParam(int status)
                           throws java.rmi.RemoteException

  checks if reports in report set has parameters.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getSheetParamNames

    java.util.Map getSheetParamNames(int status)
                                     throws java.rmi.RemoteException

  Return all sheet and its parameters relation Map

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    Map key:sheet name,value: Vector of parameter name
  Throws:
    `java.rmi.RemoteException`

### getCurrentReportSheet

    RemoteReportSheetInfo getCurrentReportSheet()
                                                throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Returns the current report sheet info.

  Returns:
    the current report sheet info.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getCurrentReportSheet

    RemoteReportSheetInfo getCurrentReportSheet(int status)
                                                throws java.rmi.RemoteException

  Returns the current report sheet info.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the current report sheet info.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getParamEngineId

    java.lang.String getParamEngineId()
                                      throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Return the ID of engine which generates parameters.

  Returns:
    the ID of engine which generates parameters.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getParamEngineId

    java.lang.String getParamEngineId(int status)
                                      throws java.rmi.RemoteException

  Return the ID of engine which generates parameters.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    the ID of engine which generates parameters.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### removeParamEngineById

    void removeParamEngineById(java.lang.String paramEngineId)
                               throws java.rmi.RemoteException

  Remove engine object according to the ID of engine which generates parameters.

  Parameters:
    `paramEngineId` - the ID of engine which generates parameters.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAvailableGroupFields

    java.util.Vector getAvailableGroupFields()
                                             throws java.rmi.RemoteException

  Deprecated. You will not need to replace value options with available group fields when parameter is column.

            Example: You can comment line in getRptDescPage.jsp like
                                      //Vector grpCols = rptInfo.getAvailableGroupFields();

                              And you have to modify the java code in getRptDescPage.jsp from
       <%
                              if (desc.isColumn() && grpCols != null) {
       %>
                              <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
       <%               int sz1 = grpCols.size();
                              for (int i1 = 0; i1 < sz1; i1++) {
                                      String s = (String)grpCols.elementAt(i1);

                              to become
       <%
                              if (desc.isColumn() ) {
       %>
                              <select name="<%= APIConst.TAG_PARAM_PREFIX + desc.getName()%>" size="1">
       <%               Vector v = desc.getValueOptions(Locale.getDefault());
                              int sz1 = v.size();
                              for (int i1 = 0; i1 < sz1; i1++) {
                                      String s = (String)v.elementAt(i1);

  Return available group fields of the report.

  Returns:
    available group fields of the report. The Vector cantains available group field names.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getOrderOfParams

    java.util.Vector getOrderOfParams()
                                      throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Return order of parameters of the report.

  Returns:
    order of parameters of the report. The Vector cantains parameter names in sequence.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getOrderOfParams

    java.util.Vector getOrderOfParams(int status)
                                      throws java.rmi.RemoteException

  Return order of parameters of the report.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    order of parameters of the report. The Vector cantains parameter names in sequence.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getStyleGroupInfos

    java.util.Vector getStyleGroupInfos()
                                        throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Return style group of the report.

  Returns:
    style group of the report. The Vector cantains style group names in sequence.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getStyleGroupInfos

    java.util.Vector getStyleGroupInfos(int status)
                                        throws java.rmi.RemoteException

  Return style group of the report.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    style group of the report. The Vector cantains style group names in sequence.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getBooleanColumns

    java.util.Vector getBooleanColumns()
                                       throws java.rmi.RemoteException

  Return boolean value fields of the report.

  Returns:
    boolean value fields of the report. The Vector cantains boolean value field names.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAvailableLanguages

    java.util.Vector getAvailableLanguages()
                                           throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Gets all of the Languages that current report supported.

  Returns:
    all of the languages that current report supported.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAvailableLanguages

    java.util.Vector getAvailableLanguages(int status)
                                           throws java.rmi.RemoteException

  Gets all of the Languages that current report supported.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    all of the languages that current report supported.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### hasPageSecurity

    boolean hasPageSecurity()
                            throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Checks if the report has page security.

  Returns:
    if the report has page security.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### hasPageSecurity

    boolean hasPageSecurity(int status)
                            throws java.rmi.RemoteException

  Checks if the report has page security.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    if the report has page security.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### canExportDHTMLResult

    boolean canExportDHTMLResult()
                                 throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Checks if the report can export to DHTML result(.rsd result), this type of result can re-run as DHTML.

  Returns:
    true if the report can export to DHTML result.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### canExportDHTMLResult

    boolean canExportDHTMLResult(int status)
                                 throws java.rmi.RemoteException

  Checks if the report can export to DHTML result(.rsd result), this type of result can re-run as DHTML.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    true if the report can export to DHTML result.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getDefaultStyleGroupName

    java.lang.String getDefaultStyleGroupName()
                                              throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Gets default style group name.

  Returns:
    default style group name.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getDefaultStyleGroupName

    java.lang.String getDefaultStyleGroupName(int status)
                                              throws java.rmi.RemoteException

  Gets default style group name.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    default style group name.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getReportImageFiles

    java.util.Vector getReportImageFiles()
                                         throws java.rmi.RemoteException

  Gets image file names of a report.

  Returns:
    image file names.
  Throws:
    `RptServerException` - if a RemoteException occurs.
    `java.rmi.RemoteException`

### getReportFontFiles

    java.util.Vector getReportFontFiles()
                                        throws java.rmi.RemoteException

  Gets font file names of a report.

  Returns:
    font file names.
  Throws:
    `RptServerException` - if a RemoteException occurs.
    `java.rmi.RemoteException`

### getReportSubreports

    java.util.Vector getReportSubreports()
                                         throws java.rmi.RemoteException

  Gets sub-report names of a report.

  Returns:
    sub-report names.
  Throws:
    `RptServerException` - if a RemoteException occurs.
    `java.rmi.RemoteException`

### getAllDataSource

    java.lang.String[] getAllDataSource()
                                        throws java.rmi.RemoteException

  Deprecated. Need to set the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL, or server will use APIConst.RPT_STATUS_ALL as default

  Gets all datasource names of a report used.

  Returns:
    all data source names.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAllDataSource

    java.lang.String[] getAllDataSource(int status)
                                        throws java.rmi.RemoteException

  Gets all datasource names of a report used.

  Parameters:
    `status` - the status for reports - APIConst.RPT_STATUS_CURRENT, APIConst.RPT_STATUS_OPEN and APIConst.RPT_STATUS_ALL
  Returns:
    all data source names.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isPortletPreferred

    boolean isPortletPreferred()
                               throws RptServerException,
                                      java.rmi.RemoteException

  If the report set contains only one report sheet, and the report sheet is portlet preferred.

  Returns:
    true if the report set contains only one report sheet, and the report sheet is portlet preferred, otherwise return false;
  Throws:
    `RptServerException` - if a RptServerException occurs.
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 9

### validateParameter

    java.lang.String validateParameter(int status,
                                       java.util.Properties prop)
                                       throws java.rmi.RemoteException

  Check parameters validation

  Parameters:
    `status` -
    `prop` -
  Returns:
    if invalid return the reason(message) String, otherwise return null
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD